package com.bytedance.android.livesdk.game;

import X.0AA;
import X.0hR;
import X.2Pr;
import X.C1856GIv;
import X.G02;
import X.G04;
import X.Ls2;
import X.LsC;
import X.M12;
import androidx.fragment.app.Fragment;
import com.bytedance.android.live.base.model.HashtagResponse;
import com.bytedance.android.live.game.IGameTopicService;
import com.bytedance.android.livesdk.model.GameTag;
import com.bytedance.android.livesdk.model.Hashtag;
import com.bytedance.covode.number.Covode;
import com.bytedance.ies.sdk.datachannel.DataChannel;

public class GameTopicService implements IGameTopicService {
    static {
        Covode.recordClassIndex(16304);
    }

    public void onInit() {
    }

    public GameTag currentGameTag(C1856GIv gIv) {
        M12.LIZ(gIv);
        return G04.LIZ.LIZIZ(gIv);
    }

    public Hashtag getLocalTopic(C1856GIv gIv) {
        M12.LIZ(gIv);
        return G04.LIZ.LIZ(gIv);
    }

    public void showGameCategoryListDialog(0AA r3, 0hR r4) {
        GameCategoryListDialog.LIZJ.LIZ(r3, false, r4);
    }

    public void checkAndUpdateTopic(Fragment fragment, DataChannel dataChannel) {
        M12.LIZ(fragment, dataChannel);
        G04 g04 = G04.LIZ;
        M12.LIZ(fragment, dataChannel);
        g04.LIZ(fragment, (LsC<? super HashtagResponse, 2Pr>) new G02(dataChannel), (Ls2<2Pr>) null);
    }
}
